set V := {read "datitsp.txt" as "<1s>" comment "#"};
set E := {<i,j> in V*V with i < j};

param px [V] := read "datitsp.txt" as "<1s> 2n" comment "#";
param py [V] := read "datitsp.txt" as "<1s> 3n" comment "#";

defnumb dist (a,b) := sqrt ((px[a] - px[b])^2 + (py[a] - py[b])^2);

var x[E] real <= 1;

minimize cost: sum <i,j> in E : dist (i,j) * x[i, j];

subto two_connected: forall <v> in V do
      (sum <v,j> in E : x[v,j]) + (sum <i,v> in E : x [i,v]) == 2;

